Skip to main content
POST
/
api
/
field
/
decimal
Creates a new custom decimal field.
curl --request POST \
  --url https://{install}/api/field/decimal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "fieldType": "<string>",
  "minimum": 123,
  "maximum": 123,
  "defaultValue": "<string>",
  "name": "<string>",
  "prompt": "<string>",
  "description": "<string>",
  "isCore": true,
  "isFeature": true,
  "featureName": "<string>",
  "placement": [
    123
  ],
  "usage": [
    123
  ],
  "listEditable": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The decimal field definition to create.

entity
null | string
fieldType
null | string
minimum
number<double>
maximum
number<double>
defaultValue
string
name
string
prompt
string
description
string
isCore
boolean
isFeature
boolean
featureName
string
placement
integer[]
usage
integer[]
listEditable
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Decimal field created successfully.